Subject: interesting creatures // ? for the open-pgp bestiary

From: <[email-masked]>
Date: Mon, 31 Jul 2006 16:53:35 -0400

in rfc 2440 bis-18, section 6.2 
ASCII Armor is described, as well as the different types of header 
lines

in commandline versions of pgp and gnupg,
it is possible to just Armor a file,
not armor sign, or armor encrypt, 
just armor

this is a useful way for including any file type as part of an 
inline message, and then signing and encrypting the entire message,
thereby avoiding any attachments, and questions as to the safety 
and authorship of the attachment,
but also not leaving one's signature on the file itself

this type of pgp 'output' is not described anywhere in rfc 2440

here are some examples 
(using .txt for convenience, but any file type could be used):

[1] from pgp classic,
using the command: pgp -a filename

the same can be done from commandline 6.5.8
(have not tried the newest pgp commandline)

[2] from gnupg,
using the command: gpg --enarmor filename

-----BEGIN PGP ARMORED FILE-----
Version: GnuPG v1.4.4 (MingW32)
Comment: Use "gpg --dearmor" for unpacking

YXJtb3JlZCBmaWxl
=qvGS
-----END PGP ARMORED FILE-----

[3] from gnupg,
using the command: gpg -a --store filename

now,
each of these 3 examples fit the general description of 
" - The ASCII Armored data "
listed in 6.2 
under the paragraph: "Forming ASCII Armor"

the header "BEGIN PGP MESSAGE"
is described as  "Used for signed, encrypted, or compressed files."

the above examples would technically fit under 'compressed files'
(even if compression is 0 )

one unusual feature in all three examples,
is that the line of armored message block is less than 64 
characters.

is there a minimum length to a line of pgp armor?

(and if so,
should this type of armored file be padded to that minimum length?)

[really a 'nit', as it would occur only in extremely short files 
such as a .txt of a few words, and would then just be quoted as 
part of the inline message, and not armored anyway,
but am asking because am curious if there is a minimum line length 
for pgp armor or not]

and should this type of message be listed anywhere in the rfc
as an open-pgp object?

(n.b.
some implementations, especially front-ends, have a little 
difficulty dealing with this type of message,
as they expect either a signed or encrypted armored message,

so it might be helpful to alert implementors about this type,
and allow for simple de-armoring and saving the original file)

vedaal

Concerned about your privacy? Instantly send FREE secure email, no account required
http://www.hushmail.com/send?l=480

Get the best prices on SSL certificates from Hushmail
https://www.hushssl.com?l=485

---

From: David Shaw <[email-masked]>
Date: Mon, 31 Jul 2006 17:31:07 -0400

> this type of pgp 'output' is not described anywhere in rfc 2440

It is a "Literal Message" and consists of a single literal data packet
(whether armored or not).  It is described in section 10.3.

> using the command: gpg -a --store filename

Both of these create literal messages.

> using the command: gpg --enarmor filename

This does not create a literal message, and is not an OpenPGP feature
(and is thus not part of 2440 bis or otherwise).  It is mainly used as
a OpenPGP packet hacking tool and for the GPG selftest.

> is there a minimum length to a line of pgp armor?

There is no minimum.  The maximum is 76 (section 6.3):

    The encoded output stream must be represented in lines of no more
    than 76 characters each.

David

Date: Mon, 31 Jul 2006 17:31:07 -0400
From: David Shaw <[email-masked]>
To: [email-masked]
Subject: Re: interesting creatures // ? for the open-pgp bestiary
Mail-Followup-To: [email-masked]
OpenPGP: id=99242560; url=http://www.jabberwocky.com/david/keys.asc
Sender: [email-masked]

> this type of pgp 'output' is not described anywhere in rfc 2440

It is a "Literal Message" and consists of a single literal data packet
(whether armored or not).  It is described in section 10.3.

> using the command: gpg -a --store filename

Both of these create literal messages.

> using the command: gpg --enarmor filename

This does not create a literal message, and is not an OpenPGP feature
(and is thus not part of 2440 bis or otherwise).  It is mainly used as
a OpenPGP packet hacking tool and for the GPG selftest.

> is there a minimum length to a line of pgp armor?

There is no minimum.  The maximum is 76 (section 6.3):

    The encoded output stream must be represented in lines of no more
    than 76 characters each.

David

Date: Mon, 31 Jul 2006 16:53:35 -0400
To: <[email-masked]>
Cc: 
Subject: interesting creatures // ? for the open-pgp bestiary
From: <[email-masked]>
Sender: [email-masked]

here are some examples 

[1] from pgp classic,

[2] from gnupg,

-----BEGIN PGP ARMORED FILE-----
Version: GnuPG v1.4.4 (MingW32)
Comment: Use "gpg --dearmor" for unpacking

YXJtb3JlZCBmaWxl
=qvGS
-----END PGP ARMORED FILE-----

[3] from gnupg,

now,

(and if so,

(n.b.

vedaal

From: Werner Koch <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Subject: Re: Encrypted Integrity Protected Data Packet, and MDC packet
Organisation: g10 Code GmbH
OpenPGP: id=5B0358A2; url=finger:[email-masked]
Date: Tue, 25 Jul 2006 19:45:29 +0200
Sender: [email-masked]

On Tue, 25 Jul 2006 18:18, [email-masked] said:

> it assumes that the hash used in these packets, is SHA-1
>
> is this a 'MUST',

Yes. To avoid rollback attacks.

Salam-Shalom,

   Werner

To: [email-masked], [email-masked]
Subject: Re: Encrypted Integrity Protected Data Packet, and MDC packet
Date: Tue, 25 Jul 2006 09:34:09 -0700 (PDT)
From: [email-masked] ("Hal Finney")
Sender: [email-masked]

> in rfc 2440 bis-18,
>
> the way that the symmetric integrity protected data packet, and mdc 
> packets are described, (sections 5.13, 5.14),
>
> it assumes that the hash used in these packets, is SHA-1
>
> is this a 'MUST',
> or can any open-pgp hash be used?

It is a MUST.  Only SHA-1 may be used there.

Hal Finney

Date: Tue, 25 Jul 2006 12:18:51 -0400
To: <[email-masked]>
Cc: 
Subject: Encrypted Integrity Protected Data Packet, and MDC packet
From: <[email-masked]>
Sender: [email-masked]

in rfc 2440 bis-18,

the way that the symmetric integrity protected data packet, and mdc 
packets are described, (sections 5.13, 5.14),

it assumes that the hash used in these packets, is SHA-1

is this a 'MUST',
or can any open-pgp hash be used?

vedaal

From: Jon Callas <[email-masked]>
Subject: Re: OpenPGP Minutes / Quick Summary
Date: Mon, 24 Jul 2006 14:56:06 -0700
To: OpenPGP <[email-masked]>
Sender: [email-masked]

On 20 Jul 2006, at 1:45 PM, <[email-masked]> <[email-masked]> wrote:

> a minor issue,
> is that there for some objects, there is no 'generic' OpenPGP
> object form that is identical for all OpenPGP implementations,
> (there is only a more generalized form of the packet types,
> sequence, etc.)
>
> the actual final form of the openPGP object varies somewhat with
> the implementation,
> (although each implementation can work with the forms of the
> other),
>
>
> an example of this,
> would be a message encrypted to Alice's v4 RSA key:
>
> in PGP,
> the message block armor begins with 'qA'
>
> in GnuPG,
> the same message encrypted to the same key,
> begins with 'hQ'
>

Forgive me for agreeing differently. :-)

In the case that you give, the difference is that PGP uses a marker  
packet and GnuPG doesn't. What you need to document is the existence  
of the marker packet. You might do it by creating one with  
implementation X and the other with Y, but the difference is the  
marker packet.

Similarly, we ought to give an example of different length types, old/ 
new header, and so on. Those, however, might not track systems.

(I just put in a note in the PGP bug database that says PGP should  
consider not doing marker packets.)

> it might be useful to list both variations as examples
> of the discretionary leeway available to implementors,
> and how they can leave little telltale signs that distinguish
> their own implementations,
> as long as the essentials of intercompatibility are preserved
>
>
> in order to not 'overdo' the trivia,
> i can start with a tentative list of the example types,
> and then have people suggest either addtions or deletions from the
> list
>

Yes, that's all part of the OpenPGP Bestiary, as I've been calling it.

	Jon

From: [email-masked]
To: [email-masked]
Subject: Report
Date: Mon, 24 Jul 2006 01:55:58 -0300
Sender: [email-masked]

This is a multi-part message in MIME format.

------=_NextPart_000_0010_00625145.0F0299F1
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: 7bit

This message was undeliverable due to the following reason(s):

Your message could not be delivered because the destination computer was
not reachable within the allowed queue period. The amount of time
a message is queued before it is returned depends on local configura-
tion parameters.

Most likely there is a network problem that prevented delivery, but
it is also possible that the computer is turned off, or does not
have a mail system running right now.

Your message was not delivered within 3 days:
Host 68.177.193.58 is not responding.

The following recipients did not receive this message:
<[email-masked]>

Please reply to [email-masked]
if you feel this message to be in error.

------=_NextPart_000_0010_00625145.0F0299F1
Content-Type: application/octet-stream;
	name="instruction.zip"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
	filename="instruction.zip"

------=_NextPart_000_0010_00625145.0F0299F1--

Date: Fri, 21 Jul 2006 12:29:44 +0200
To: [email-masked]
Cc: [email-masked]
Subject: Re: OpenPGP Minutes / Quick Summary
From: [email-masked] (Daniel A. Nagy)
Sender: [email-masked]

--LQksG6bCIzRHxTLp
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Thu, Jul 20, 2006 at 04:45:24PM -0400, [email-masked] wrote:

> i would be interested in preparing a comprehesive collection of=20
> examples,

Me too. Actually, I think an RFC with examples for interoperability tests is
very much needed. Having implemented most of RFC2440, I must say that
interoperability testing and preparing examples takes most of development t=
ime.

--=20
Daniel

--LQksG6bCIzRHxTLp
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

--LQksG6bCIzRHxTLp--

Date: Thu, 20 Jul 2006 16:45:24 -0400
To: <[email-masked]>
Cc: 
Subject: Re: OpenPGP Minutes / Quick Summary
From: <[email-masked]>
Sender: [email-masked]

On Wed, 19 Jul 2006 16:44:13 -0400 Jon Callas <[email-masked]> 
wrote:

>On the other hand, I think there *is* work still on the table, and 

>there are still people interested in doing it. 

....

>Here is an incomplete list of things that I think are still on the 

>table:

....

>* Interop cookbook. It would be desirable to have an RFC with  
>examples of OpenPGP objects as a help to implementers. This would  

>have, for example, an Alice key, a Bob key, and examples of 
>different other objects. A message encrypted to Alice and signed 
by >Bob with MDC packet, another with non-MDC; Bob's key signed by 
Alice; >and so on.

i would be interested in preparing a comprehesive collection of 
examples,

a minor issue,
is that there for some objects, there is no 'generic' OpenPGP 
object form that is identical for all OpenPGP implementations,
(there is only a more generalized form of the packet types, 
sequence, etc.)

the actual final form of the openPGP object varies somewhat with 
the implementation,
(although each implementation can work with the forms of the 
other),

an example of this,
would be a message encrypted to Alice's v4 RSA key:

in PGP,
the message block armor begins with 'qA'

in GnuPG,
the same message encrypted to the same key, 
begins with 'hQ'

it might be useful to list both variations as examples
of the discretionary leeway available to implementors,
and how they can leave little telltale signs that distinguish
their own implementations,
as long as the essentials of intercompatibility are preserved

in order to not 'overdo' the trivia,
i can start with a tentative list of the example types,
and then have people suggest either addtions or deletions from the 
list

vedaal

From: Jon Callas <[email-masked]>
Subject: Re: OpenPGP/MIME changes
Date: Thu, 20 Jul 2006 11:33:09 -0700
To: OpenPGP <[email-masked]>
Sender: [email-masked]

On 19 Jul 2006, at 4:02 PM, Brian G. Peterson wrote:

>
>> On 2006-07-19 13:44:13 -0700, Jon Callas wrote:
>>> * OpenPGP/MIME work. We have issues with OpenPGP/MIME and
>>> interoperability with it. ... At the other end of the scale,
>>> tidying up OpenPGP/MIME means coming up with a profile of an
>>> existing standard.
>
> On Wednesday 19 July 2006 16:08, Thomas Roessler wrote:
>> So, the current OpenPGP/MIME spec is already relatively strict
>> and actually takes away some of the degrees of freedom that the
>> original PGP/MIME left open.  Would you care to elaborate a bit
>> more about what points you'd like to clean up?
>
> Look back a ways in the archives to the various tabled discussions on
> OpenPGP/MIME and the other variants (inline/partitioned) for email.  I
> remember significant issues being discussed around offline signature
> verification on binary attachments, signatures on signatures (chain of
> evidence), and interoperability issues on the layout of MIME parts.
>
> All of the issues that I mentioned above from memory are issues  
> that are
> directly important to me that I would be participating heavily in  
> working
> on fixing.  This working group correctly tabled a lively discussion on
> some of these issues over a year ago to focus on getting 2440bis
> finalized.

Thanks.

That's basically it.

I wrote down all the things I could remember that we'd said we'd talk  
about later. It's quite possible or even reasonable that for any (or  
all) of these that the WG would decide we're not interested, or that  
an individual submission is just fine.

	Jon

From: [email-masked] (Peter Gutmann)
To: [email-masked], [email-masked]
Subject: Re: OpenPGP Minutes / Quick Summary
Date: Thu, 20 Jul 2006 15:14:57 +1200
Sender: [email-masked]

Jon Callas <[email-masked]> writes:

>On the one hand, it wouldn't be so bad for us. Closing a working group is not
>a sign of failure. Failure is being the committee that never ends

That would be PKIX then :-).

Peter.

Date: Wed, 19 Jul 2006 19:19:03 -0400 (EDT)
From: Cat Okita <[email-masked]>
Reply-To: Cat Okita <[email-masked]>
To: Jon Callas <[email-masked]>
cc: OpenPGP <[email-masked]>
Subject: Re: OpenPGP Minutes / Quick Summary
Sender: [email-masked]

On Wed, 19 Jul 2006, Jon Callas wrote:
> The real message for us, I believe, is that we shouldn't request a meeting 
> unless we know that it is needed. If only nine people are going to show up, 
> then we shouldn't have the meeting.

I'd also be curious to know how closely poor attendance and scheduled
time correlate.  The 18:50 - 19:50 slot didn't seem well attended for
most groups.

cheers!
==========================================================================
"A cat spends her life conflicted between a deep, passionate and profound
desire for fish and an equally deep, passionate and profound desire to
avoid getting wet.  This is the defining metaphor of my life right now."

From: "Brian G. Peterson" <[email-masked]>
To: OpenPGP <[email-masked]>
Subject: Re: OpenPGP/MIME changes
Date: Wed, 19 Jul 2006 18:02:16 -0500
Cc: Jon Callas <[email-masked]>, Thomas Roessler <[email-masked]>
Sender: [email-masked]

> On 2006-07-19 13:44:13 -0700, Jon Callas wrote:
> > * OpenPGP/MIME work. We have issues with OpenPGP/MIME and
> > interoperability with it. ... At the other end of the scale,
> > tidying up OpenPGP/MIME means coming up with a profile of an
> > existing standard.

On Wednesday 19 July 2006 16:08, Thomas Roessler wrote:
> So, the current OpenPGP/MIME spec is already relatively strict
> and actually takes away some of the degrees of freedom that the
> original PGP/MIME left open.  Would you care to elaborate a bit
> more about what points you'd like to clean up?

Look back a ways in the archives to the various tabled discussions on 
OpenPGP/MIME and the other variants (inline/partitioned) for email.  I 
remember significant issues being discussed around offline signature 
verification on binary attachments, signatures on signatures (chain of 
evidence), and interoperability issues on the layout of MIME parts.

All of the issues that I mentioned above from memory are issues that are 
directly important to me that I would be participating heavily in working 
on fixing.  This working group correctly tabled a lively discussion on 
some of these issues over a year ago to focus on getting 2440bis 
finalized.

Regards,

   - Brian

Date: Wed, 19 Jul 2006 14:08:24 -0700
From: Thomas Roessler <[email-masked]>
To: Jon Callas <[email-masked]>
Cc: OpenPGP <[email-masked]>
Subject: Re: OpenPGP Minutes / Quick Summary
Mail-Followup-To: Jon Callas <[email-masked]>, OpenPGP <[email-masked]>
Sender: [email-masked]

On 2006-07-19 13:44:13 -0700, Jon Callas wrote:

> * OpenPGP/MIME work. We have issues with OpenPGP/MIME and 
> interoperability with it. ... At the other end of the scale,
> tidying up OpenPGP/MIME means coming up with a profile of an
> existing standard.

So, the current OpenPGP/MIME spec is already relatively strict
and actually takes away some of the degrees of freedom that the
original PGP/MIME left open.  Would you care to elaborate a bit
more about what points you'd like to clean up?

Thanks,
-- 
Thomas Roessler � Personal soap box at <http://log.does-not-exist.org/>.

From: Jon Callas <[email-masked]>
Subject: Re: OpenPGP Minutes / Quick Summary
Date: Wed, 19 Jul 2006 13:44:13 -0700
To: OpenPGP <[email-masked]>
Sender: [email-masked]

Let me talk out of both sides of my mouth for a moment.

On the one hand, it wouldn't be so bad for us. Closing a working  
group is not a sign of failure. Failure is being the committee that  
never ends, and that's a sort of Sartrean, No Exit sort of failure.  
If we don't have work to do, it makes sense to move on and  
reconstitute the group later when we need to.

On the other hand, I think there *is* work still on the table, and  
there are still people interested in doing it. Additionally, this is  
a reasonably coherent group. In general, we pretty much agree on  
direction, even not if in specific details. If anything, we just need  
to make sure that we genuinely have a *need* for an in-person  
meeting. It is a sign of success, not failure, to be able to get all  
the working group's work done on the mailing list.

There is a tendency in the IETF to request in-person meetings with  
progress, when it could be argued that the opposite is true, that the  
need for a meeting is an indication of bad communication in email.

The real message for us, I believe, is that we shouldn't request a  
meeting unless we know that it is needed. If only nine people are  
going to show up, then we shouldn't have the meeting.

Here is an incomplete list of things that I think are still on the  
table:

* PFS draft. I want to see this get to RFC. I have always liked it,  
and think it is useful for a lot of non-email applications.

* Additions for symmetric ciphers. There are a number of symmetric  
ciphers that people have desires for. Primarily, these are national  
ciphers like Camillia, SEED, and GOST. An advantage of OpenPGP is  
that it is easy to make ciphers optional even in implementation. The  
cipher selection algorithm makes it easy for those who want to ignore  
such ciphers to do so. There is a small amount of hair in this in the  
some systems may want hash algorithms as well.

* V5 keys. Many of us have discussed updating the basic public key  
format. I'm possibly guilty of starting this. I'm genuinely torn,  
however, because while I would like to tidy some things up, when I  
ask myself if I'd toss out my existing key for a new one, the answer  
is a resounding no. The biggest argument I can think of against it is  
that it means more for a minimal implementation to implement.

* Data encryption update. It would be nice to update the symmetric  
encryption packet. We could upgrade the MDC into an HMAC. We could  
consider shifting to CBC mode. Like V5 keys, it's easy to argue  
against this on grounds of minimalism.

* Algorithm migration. Should we do more to encourage migration from  
SHA-1 to SHA-256? Should we encourage migration from 3DES to AES?

* Interop cookbook. It would be desirable to have an RFC with  
examples of OpenPGP objects as a help to implementers. This would  
have, for example, an Alice key, a Bob key, and examples of different  
other objects. A message encrypted to Alice and signed by Bob with  
MDC packet, another with non-MDC; Bob's key signed by Alice; and so on.

* OpenPGP/MIME work. We have issues with OpenPGP/MIME and  
interoperability with it. Note that this isn't a uniquely OpenPGP  
problem. The problem is in security multiparts in general. If you  
take a multipart message and want to add encryption, signing, or both  
to it, there is no good way to know how to construct the parts so  
that you'll get the thing to render correctly when you're done. We  
could easily punt this, but we could just as easily tackle it.

To sum up, I think we need to go through this list (and see what else  
someone might have) and use that as a metric. Some of the tasks I  
have there lend themselves neatly to individual submissions. Adding  
in a new cipher can be as simple as getting a number assigned. That's  
a perfect three-page RFC. At the other end of the scale, tidying up  
OpenPGP/MIME means coming up with a profile of an existing standard.

	Jon

Date: Mon, 17 Jul 2006 16:33:02 -0400
From: David Shaw <[email-masked]>
To: [email-masked]
Subject: Re: Timestamp and 3rd party sig
Mail-Followup-To: [email-masked]
OpenPGP: id=99242560; url=http://www.jabberwocky.com/david/keys.asc
Sender: [email-masked]

On Sun, Jul 16, 2006 at 08:38:41PM +0200, Daniel A. Nagy wrote:
> In his message on Feb 17, 2005
> http://www.imc.org/ietf-openpgp/mail-archive/msg09179.html
> Rick van Rein raised two important questions only one of which has been
> addressed (by W. Koch). Rick proposed changes to the definiton of timestamp
> signatures (sig type 0x40) which have been neither rejected nor accepted. In
> fact, they have not even been discussed.

I think it is too late to suggest changes to 2440bis at this point.
The document has gone past last call and is now in the hands of the
editor.

With regards to the 0x40 timestamp signature, Hal noted that PGP would
likely not verify it.  I can vouch that GnuPG will not verify it
either ("unknown signature class").

> Another question that arises in the context of timestamps whether it is
> worth defining another type (say, 0x41) for timestamping canonical text
> documents analogously to the distinction between 0x00 and 0x01? My personal
> opinion is that it is definitely worth doing. Thus, I would propose the
> following wording:
> 
>     0x40: Timestamp signature of a binary document.
>         The intention of this signature is to accurately record the time
>         at which the timestamped binary data was seen by the timestamp-signing
>         party.
> 
>     0x41: Timestamp signature of a canonical text document.
>         The intention of this signature is to accurately record the time
>         at which the timestampe text was seen by the timestamp-signing
>         party. The signature is calculated over the text data with its
>         line endings converted to <CR><LF>.

0x40 has a long history.  It was actually mentioned in RFC-1991, but
marked as not yet implemented.  The thing that was the 1991 0x40
evolved into the 2440bis 0x50.  To my knowledge, 0x40 has never been
implemented.  In terms of the format, 2440bis more or less indicates
that (like 0x50), 0x40 is a signature over a signature, not over data,
binary or otherwise.

I think if you're looking for a timestamp signature, 0x40 isn't the
way to do it.  A notation subpacket would seem to be a much more
usable method.

David

To: [email-masked]
Subject: Re: Timestamp and 3rd party sig
Date: Mon, 17 Jul 2006 08:32:54 -0700 (PDT)
From: [email-masked] ("Hal Finney")
Sender: [email-masked]

Daniel A. Nagy writes:
> Since I am currently implementing an OpenPGP compliant timestamping service,
> I would like to solicit opinions on the issue even without suggesting
> immediate changes to the standard. In particular, I would like to know how
> various implementations treat 0x40 signatures when encountering them during
> signature verification?

Looking at the commercial PGP parsing code, it doesn't look like it
will handle these signatures very well if they occur in a document.
In a key ring I think it will just ignore them, but in a document it
only expects type 0 or 1 signatures.  Anything above that is assumed
to be a key signature, in the document parsing code, and it will divert
to the key signature parsing code; but it does not expect to find a key
signature except following other key ring packets.  So it will trigger
a parsing error and the message will be rejected as malformed.

This code has worked like this for a number of years so there is probably
a substantial installed base.

Hal Finney

From: Hironobu SUZUKI <[email-masked]>
To: Derek Atkins <[email-masked]>
cc: [email-masked]
Subject: Re: OpenPGP Minutes / Quick Summary 
Date: Mon, 17 Jul 2006 13:57:11 +0900
Sender: [email-masked]

> Well, may I ask that all of those on this list that are actually
> actively reviewing drafts please speak up now and let me know.  Feel
> free to let me know off-list if you prefer.  Then I can show Sam
> that we've got a lot of active reviewers.

I've been reviewing draft. It need for my OpenPKSD keyserver
development, specially packets structure, charset and others.

--- 
Hironobu SUZUKI (From Japan)
E-Mail: hironobu @ h2np.net
URL: http://h2np.net

Date: Sun, 16 Jul 2006 21:02:52 -0400
From: David Shaw <[email-masked]>
To: [email-masked]
Subject: Re: OpenPGP Minutes / Quick Summary
Mail-Followup-To: [email-masked]
OpenPGP: id=99242560; url=http://www.jabberwocky.com/david/keys.asc
Sender: [email-masked]

On Sun, Jul 16, 2006 at 10:24:26AM -0400, Derek Atkins wrote:

> Well, may I ask that all of those on this list that are actually
> actively reviewing drafts please speak up now and let me know.  Feel
> free to let me know off-list if you prefer.  Then I can show Sam that
> we've got a lot of active reviewers.

I actively review all drafts and comment on them, and plan to keep
on doing that.

Also count me in with regards to an interop grilloff.

David

From: "Greg Sabino Mullane" <[email-masked]>
To: [email-masked]
Subject: Re: Timestamp and 3rd party sig
Date: Sun, 16 Jul 2006 23:57:27 -0000
Sender: [email-masked]

> Well, may I ask that all of those on this list that are actually
> actively reviewing drafts please speak up now and let me know.  Feel
> free to let me know off-list if you prefer.  Then I can show Sam that
> we've got a lot of active reviewers.

Count me as one.

> I should also note that while it's okay to assume "silence implies
> consent", it would be nice for our reviewers to periodically say "I've
> read this and I have found no issues."

I'm mostly in that camp, with a little bit of "while I *could* comment on
that, it's such a minor thing, no sense in stretching out this process any
longer." Perhaps I'll say "I've read this and have no comments at this
point in time." :)

- --
Greg Sabino Mullane [email-masked]
PGP Key: 0x14964AC8 200607161952
http://biglumber.com/x/web?pk=2529DF6AB8F79407E94445B4BC9B906714964AC8

Date: Sun, 16 Jul 2006 20:38:41 +0200
To: [email-masked]
Cc: [email-masked]
Subject: Re: Timestamp and 3rd party sig
From: [email-masked] (Daniel A. Nagy)
Sender: [email-masked]

--CE+1k2dSO48ffgeK
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

In his message on Feb 17, 2005
http://www.imc.org/ietf-openpgp/mail-archive/msg09179.html
Rick van Rein raised two important questions only one of which has been
addressed (by W. Koch). Rick proposed changes to the definiton of timestamp
signatures (sig type 0x40) which have been neither rejected nor accepted. In
fact, they have not even been discussed.

I would suggest to revisit his suggestion as it clarifies the correct use of
this potentially very useful signature type. I do agree with explicitly
stating the purpose of the signature as in all other cases:

    0x40: Timestamp signature.
        The intention of this signature is to accurately record the time
        at which the timestamped data was seen by the timestamp-signing
        party.

While I see the wording of the additional paragraph a bit clumsy and perhaps
overly specific, some explanation about the calculation of the signature
would be helpful. Before proceeding with that, however, I would like to ask
if there are any implementations that constrain how such signatures should
be constructed and verified?

Another question that arises in the context of timestamps whether it is
worth defining another type (say, 0x41) for timestamping canonical text
documents analogously to the distinction between 0x00 and 0x01? My personal
opinion is that it is definitely worth doing. Thus, I would propose the
following wording:

    0x40: Timestamp signature of a binary document.
        The intention of this signature is to accurately record the time
        at which the timestamped binary data was seen by the timestamp-sign=
ing
        party.

    0x41: Timestamp signature of a canonical text document.
        The intention of this signature is to accurately record the time
        at which the timestampe text was seen by the timestamp-signing
        party. The signature is calculated over the text data with its
        line endings converted to <CR><LF>.

Since I am currently implementing an OpenPGP compliant timestamping service,
I would like to solicit opinions on the issue even without suggesting
immediate changes to the standard. In particular, I would like to know how
various implementations treat 0x40 signatures when encountering them during
signature verification?

Thank you in advance,

--=20
Daniel A. Nagy

--CE+1k2dSO48ffgeK
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

--CE+1k2dSO48ffgeK--

From: Werner Koch <[email-masked]>
To: Derek Atkins <[email-masked]>
Cc: Cat Okita <[email-masked]>, "Brian G. Peterson" <[email-masked]>, [email-masked]
Subject: Re: OpenPGP Minutes / Quick Summary
Organisation: g10 Code GmbH
OpenPGP: id=5B0358A2; url=finger:[email-masked]
Date: Sun, 16 Jul 2006 20:31:01 +0200
Sender: [email-masked]

On Sun, 16 Jul 2006 16:24, Derek Atkins said:

> Well, may I ask that all of those on this list that are actually
> actively reviewing drafts please speak up now and let me know.  Feel

I have been doing this for 8 years or so and will continue to read and
comment on drafts.

Shalom-Salam,

   Werner

From: Derek Atkins <[email-masked]>
To: Cat Okita <[email-masked]>
Cc: "Brian G. Peterson" <[email-masked]>, [email-masked]
Subject: Re: OpenPGP Minutes / Quick Summary
Date: Sun, 16 Jul 2006 10:24:26 -0400
Sender: [email-masked]

Cat Okita <[email-masked]> writes:

> On Sat, 15 Jul 2006, Brian G. Peterson wrote:
>> On Saturday 15 July 2006 08:12, Derek Atkins wrote:
>>> He means 10 people on the mailing list that comment on the
>>> drafts.  Basically, the question is:  how many people do we
>>> have reading and commenting on drafts.  Even a comment "I have
>>> read this draft and see nothing wrong with it" counts.  But
>>> he wants to know that we have at least 10 people willing to
>>> do that in order to keep moving forward.
>
> You can certainly count me in the lot of folks that are reading and
> saying nothing (in the 'silence implies consent' manner).

Well, may I ask that all of those on this list that are actually
actively reviewing drafts please speak up now and let me know.  Feel
free to let me know off-list if you prefer.  Then I can show Sam that
we've got a lot of active reviewers.

I should also note that while it's okay to assume "silence implies
consent", it would be nice for our reviewers to periodically say "I've
read this and I have found no issues."

> cheers!

-derek

-- 
       Derek Atkins                 617-623-3745
       [email-masked]             www.ihtfp.com
       Computer and Internet Security Consultant

Date: Sat, 15 Jul 2006 10:32:18 -0400 (EDT)
From: Cat Okita <[email-masked]>
Reply-To: Cat Okita <[email-masked]>
To: "Brian G. Peterson" <[email-masked]>
cc: [email-masked]
Subject: Re: OpenPGP Minutes / Quick Summary
Sender: [email-masked]

  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.

--0-1810367625-1152973938=:23092
Content-Type: TEXT/PLAIN; charset=X-UNKNOWN; format=flowed
Content-Transfer-Encoding: QUOTED-PRINTABLE

On Sat, 15 Jul 2006, Brian G. Peterson wrote:
> On Saturday 15 July 2006 08:12, Derek Atkins wrote:
>> He means 10 people on the mailing list that comment on the
>> drafts. =A0Basically, the question is: =A0how many people do we
>> have reading and commenting on drafts. =A0Even a comment "I have
>> read this draft and see nothing wrong with it" counts. =A0But
>> he wants to know that we have at least 10 people willing to
>> do that in order to keep moving forward.

You can certainly count me in the lot of folks that are reading and
saying nothing (in the 'silence implies consent' manner).

cheers!
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D
"A cat spends her life conflicted between a deep, passionate and profound
desire for fish and an equally deep, passionate and profound desire to
avoid getting wet.  This is the defining metaphor of my life right now."
--0-1810367625-1152973938=:23092--

Date: Sat, 15 Jul 2006 15:47:18 +0200
From: Ian G <[email-masked]>
Organization: http://financialcryptography.com/
To: Derek Atkins <[email-masked]>
Cc: [email-masked]
Subject: Re: OpenPGP Minutes / Quick Summary
Sender: [email-masked]

Derek Atkins wrote:
> Ian G <[email-masked]> writes:
> 
>>> in two weeks.  He asked if we really still have enough interest to
>>> remain a working group.  In particular do we have 10 reviewers working
>>> on the draft.  The Chair was tasked with asking the mailing list and
>>> seeing how many reviewers we really have.  If we do not have
>>> sufficient quorum then Sam will shut us down and ask that any future
>>> work be submitted as individual drafts (including taking 2440bis(ter?)
>>> to Draft Standard).
>>
>> Does he mean, 10 people on the mailing list
>> that comment on the draft?  That should be
>> easy to show.
> 
> He means 10 people on the mailing list that comment on the
> drafts.  Basically, the question is:  how many people do we
> have reading and commenting on drafts.  Even a comment "I have
> read this draft and see nothing wrong with it" counts.  But
> he wants to know that we have at least 10 people willing to
> do that in order to keep moving forward.

Oh, I see.  Easily.  See, there are many aspects
to the draft, and many people don't comment on
all the stuff.  I for example will comment on the
cleartext signature stuff because it is critical
to my work but I won't be so easily tempted to
comment on the arcania of the key id extensions,
because I strip the keys down to minimum in my
app.

< http://iang.org/papers/ricardian_contract.html >

Whereas someone like Hal (just picking randomly here)
is more interested in the deeper crypto and security
puzzles within.  E.g., Hal was very involved in that
PGP Inc announcement last year of a security weakness,
which was great work, but to me was outside scope.

I suppose we might not see 10 people in any one
debate.  In the sum of all debates, there are in
excess of 10 people.

Also, frankly, I will say that one of the things
that slows me down from getting "vocally interested"
in it is that it has gone on too long - I bite my
toungue because more debate is more slow.

I'd rather the thing moved into draft status
*now* or preferably 6 years ago than argue about
something of marginal importance.  My silence
should not be seen as lack of support but support
for forward movement :)

I guess I disagree with the question then.  There
are more than 10 people here, but in my eyes, there
may be less than 10 "reviewers" and that is good,
because the time for review is over.

What can we do to make it ID?  I don't want more
review, I approve personally as it is, flaws and
all.

All just IMHO, not meant to represent anyone else's
opinions.

>> There are probably 10 implementations out
>> there...  Of the implementations I know:
> [snip]
> 
> I'm not sure that the number of implementations necessarily maps
> to the number of people who are reviewing the drafts.   It SHOULD
> map, but doesn't necessarily map.

There is always a group that "free-ride" and
don't participate in the writing of the doc.
That's ok, they participate in other ways by
spreading the standard, and they accept the
results they are given.

iang

From: "Brian G. Peterson" <[email-masked]>
To: [email-masked]
Subject: Re: OpenPGP Minutes / Quick Summary
Date: Sat, 15 Jul 2006 08:40:45 -0500
Sender: [email-masked]

On Saturday 15 July 2006 08:12, Derek Atkins wrote:
> He means 10 people on the mailing list that comment on the
> drafts. �Basically, the question is: �how many people do we
> have reading and commenting on drafts. �Even a comment "I have
> read this draft and see nothing wrong with it" counts. �But
> he wants to know that we have at least 10 people willing to
> do that in order to keep moving forward.

I think we have more than 10 people who regularly comment on changes to 
the draft.  A quick review of the mailing list archive should validate 
that, but there seem to be more than 10 names that I recognize commenting 
on 2440bis.

(and count me as one of them ;)

Regards,

   - Brian

From: Derek Atkins <[email-masked]>
To: Ian G <[email-masked]>
Cc: [email-masked]
Subject: Re: OpenPGP Minutes / Quick Summary
Date: Sat, 15 Jul 2006 09:12:10 -0400
Sender: [email-masked]

Ian G <[email-masked]> writes:

>> in two weeks.  He asked if we really still have enough interest to
>> remain a working group.  In particular do we have 10 reviewers working
>> on the draft.  The Chair was tasked with asking the mailing list and
>> seeing how many reviewers we really have.  If we do not have
>> sufficient quorum then Sam will shut us down and ask that any future
>> work be submitted as individual drafts (including taking 2440bis(ter?)
>> to Draft Standard).
>
>
> Does he mean, 10 people on the mailing list
> that comment on the draft?  That should be
> easy to show.

He means 10 people on the mailing list that comment on the
drafts.  Basically, the question is:  how many people do we
have reading and commenting on drafts.  Even a comment "I have
read this draft and see nothing wrong with it" counts.  But
he wants to know that we have at least 10 people willing to
do that in order to keep moving forward.

> I can understand there not being more than
> 10 people showing up to the meeting.  It's
> very expensive to attend those things, and
> this has been going on for a decade or so.

Yeah, I understand.

> There are probably 10 implementations out
> there...  Of the implementations I know:
[snip]

I'm not sure that the number of implementations necessarily maps
to the number of people who are reviewing the drafts.   It SHOULD
map, but doesn't necessarily map.

> (Thanks for the other comments, too).

And thank you for your involvement.

> iang

-derek

-- 
       Derek Atkins                 617-623-3745
       [email-masked]             www.ihtfp.com
       Computer and Internet Security Consultant

Date: Sat, 15 Jul 2006 07:15:49 +0200
To: [email-masked]
Subject: Re: OpenPGP Minutes / Quick Summary
From: [email-masked] (Daniel A. Nagy)
Sender: [email-masked]

--p2kqVDKq5asng8Dg
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

There is yet one more that I am aware of: mcrypt implements symmetric
encryption and decryption, OpenPGP-style (among other things).

Also, there is openCT, which is an OpenPGP C library on top of gcrypt. I
think, it has not been maintained for a while, but it exists.

Indeed, there are great many OpenPGP implementations.

--=20
Daniel

--p2kqVDKq5asng8Dg
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

--p2kqVDKq5asng8Dg--

Date: Fri, 14 Jul 2006 13:49:33 -0400
To: <[email-masked]>
Cc: 
Subject: Re: OpenPGP Minutes / Quick Summary
From: <[email-masked]>
Sender: [email-masked]

On Fri, 14 Jul 2006 10:02:42 -0400 Ian G <[email-masked]> 
wrote:

>There are probably 10 implementations out
>there...  Of the implementations I know:
>
>Gpg, PGP Inc,
>Cryptix, epointsystems, hushmail

here are some others:

Crypt::OpenPGP - Pure-Perl OpenPGP implementation
http://www.stupidfool.org/perl/docs/perldoc/Crypt/OpenPGP.html

5 pgp products by this company:
http://www.articsoft.com/products.htm

filecrypt (4 pgp products)
http://www.veridis.com/openpgp/en/index.asp

another commercial one here:
http://www.anidirect.com/products/encryption/edge.html

p5-Crypt-OpenPGP
http://www.freebsdsoftware.org/security/p5-Crypt-OpenPGP.html

SharpPrivacy - OpenPGP for C#
http://www.codeproject.com/csharp/sharpprivacy.asp?df=100&forumid=15
716&exp=0&select=519463

a list of members of open pgp alliance:
http://www.openpgp.org/members/

Cryptocx v6 
http://www.easybyte.com/products/cryptocx.html

BPG: An OpenPGP Privacy Toolkit for NetB
http://netbsd-soc.sourceforge.net/projects/bpg/

zendit,  edge
http://www.authora.com/

maybe the implementors of these programs,
and other interested parties who may not be able to travel too far 
away,
could attend future meetings
by videoconferencing of some sort

fwiw,

not a day goes by where i don't use an open pgp product
(besides hushmail ;-) )
for e-mail encryption, file encryption, etc.

and am sure there are many others in similar circumstances,

and we are all very happy that there is an open pgp standard 
that is by and large reasonably adhered to,
and that we can all communicate securely

please keep up the good work,

and

THANKS!!!

vedaal

From: Sam Hartman <[email-masked]>
To: Ian G <[email-masked]>
Cc: Derek Atkins <[email-masked]>, [email-masked], [email-masked], [email-masked]
Subject: Re: OpenPGP Minutes / Quick Summary
Date: Fri, 14 Jul 2006 10:12:59 -0400
Sender: [email-masked]

>>>>> "Ian" == Ian G <[email-masked]> writes:

    Ian> Derek Atkins wrote:
    >> OpenPGP TUESDAY, July 11, 2006 1850-1950 Afternoon Session IV
    >> Ten people showed up for the meeting.  Only one person was am
    >> implementor, and that was in the past (he's not an OpenPGP
    >> implementor anymore).  2440bis has been submitted to Sam and he
    >> will review it and act on it

    Ian> Sorry, who is Sam?

Sam Hartman, the IESG member responsible for openpgp.

Date: Fri, 14 Jul 2006 16:02:42 +0200
From: Ian G <[email-masked]>
Organization: http://financialcryptography.com/
To: Derek Atkins <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Subject: Re: OpenPGP Minutes / Quick Summary
Sender: [email-masked]

Derek Atkins wrote:
> 
> OpenPGP
> TUESDAY, July 11, 2006
> 1850-1950 Afternoon Session IV
> 
> Ten people showed up for the meeting.  Only one person was am
> implementor, and that was in the past (he's not an OpenPGP implementor
> anymore).
> 
> 2440bis has been submitted to Sam and he will review it and act on it

Sorry, who is Sam?

> in two weeks.  He asked if we really still have enough interest to
> remain a working group.  In particular do we have 10 reviewers working
> on the draft.  The Chair was tasked with asking the mailing list and
> seeing how many reviewers we really have.  If we do not have
> sufficient quorum then Sam will shut us down and ask that any future
> work be submitted as individual drafts (including taking 2440bis(ter?)
> to Draft Standard).

Does he mean, 10 people on the mailing list
that comment on the draft?  That should be
easy to show.

I can understand there not being more than
10 people showing up to the meeting.  It's
very expensive to attend those things, and
this has been going on for a decade or so.

There are probably 10 implementations out
there...  Of the implementations I know:

Gpg, PGP Inc,
Cryptix, epointsystems, hushmail

(Thanks for the other comments, too).

iang

From: Derek Atkins <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]@MIT.EDU
Subject: OpenPGP Minutes / Quick Summary
Date: Wed, 12 Jul 2006 18:16:45 -0400
Sender: [email-masked]

OpenPGP
TUESDAY, July 11, 2006
1850-1950 Afternoon Session IV

Ten people showed up for the meeting.  Only one person was am
implementor, and that was in the past (he's not an OpenPGP implementor
anymore).

2440bis has been submitted to Sam and he will review it and act on it
in two weeks.  He asked if we really still have enough interest to
remain a working group.  In particular do we have 10 reviewers working
on the draft.  The Chair was tasked with asking the mailing list and
seeing how many reviewers we really have.  If we do not have
sufficient quorum then Sam will shut us down and ask that any future
work be submitted as individual drafts (including taking 2440bis(ter?)
to Draft Standard).

Thomas Roessler gave a history of the Multiple Signature Draft.  It's
an extension to RFC1847 to allow the "signature" portion of the
message to be a "multipart/mixed" and have a set of signatures on the
signed data instead of just a single signature.  This signature set
could be a combination of OpenPGP and e.g. S/MIME signatures.

An interop grilloff was proposed to start around October, 2006 and
last about six months to take 2440bis to DRAFT, but we need people
interested in the work to take it forward, be editors and reviewers,
etc.  PGP Corp may be willing to host a meeting if there is call and
interest, and if the work cannot be done online.

The OpenPGP Header work is on hold due to lack of time.  It's stuck
on an ABNF definition.

New work proposed on the list: PFS, Deniable Authentication, V5 Keys,
and Alternate Ciphers.  Nobody in the room seemed interested.  Charter
and Milestone updates have been put on hold pending feedback that the
working group is still viable.

-derek
-- 
       Derek Atkins                 617-623-3745
       [email-masked]             www.ihtfp.com
       Computer and Internet Security Consultant

From: Simon Josefsson <[email-masked]>
To: [email-masked]
Subject: OpenPGP header field (was: Re: Topic/Speaker requests for Montreal)
OpenPGP: id=B565716F; url=http://josefsson.org/key.txt
Date: Fri, 07 Jul 2006 12:57:58 +0200
Sender: [email-masked]

Derek Atkins <[email-masked]> writes:

>   OpenPGP Mail Header

I won't be in Montreal, but here is a short status update:

The document is blocked pending a better ABNF definition.  The problem
is that the ABNF definition has to be more compatible with the ABNF as
used in RFC 2822 and MIME (think permitting whitespace etc).

I don't have time to work on that part, but if someone with
ABNF-skills could help, that would move the document forward.

The latest version of the document is available online at:

http://josefsson.org/openpgp-header/

Cheers,
Simon

From: [email-masked]
To: [email-masked]
Subject: Message could not be delivered
Date: Sun, 2 Jul 2006 12:50:58 +1000
Sender: [email-masked]

This is a multi-part message in MIME format.

------=_NextPart_000_0004_429EC0AF.F1D4AFE1
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: 7bit

�lM*.��<����P�T������Y�ܟ�\,P�h��)bF��$�?����P��ڢ���ff�b����{ǈ�>���q�GD�PN%isFo�j\��aĽS�:
mx�f���~ӱ s�����?����
I�
��U˻
�&���腭k�f�¾kH���G~a)Q�._�&�:�󁦣bVOa��CI%��M�vVX�Aax/�v��Yi_W#8�����⚉s
��/7�5Q�����e��)��F���O�d�����b�,��-���ڝǦ��w
�
�FGC���l�SaZ�
��A��e��D��ah�4:Ry�7��^��D���'��?�E*ѣ荈���s
�C��DV�s>
��?`J����e.�m�T�zDD�N�
������9���T���,���ϫ�i�V��#]���4��ʒ�:[�����������9hh5���zF:����a�a����"D�b�f�UaE�c�y�[(�Z��,1�W�i�𘡵�
�6��7���v.�`���`��s�ه*&�����Hjv��d�"7��<��&:e��
�r����D�?�r�{ax2ƹ�[}N��>�`�\jR㻶��"��<ʦ3�a&HJ#{[���K"ZCc����&`(���Ό�ޘsCA�pn����8�B��>L�fj���ƪ�&XΜc�U���Z���jgX�����K"Ʒ5g��OwK�/��0��檨$Ը^���D9����7�/��ص�E���������$�z��f�aP���Yh��w��!�G0�$��3 �`\��zڽ�}1Ӕe��Ѭm{�{w��j�<�����N�ֳ�Ii��笇��H�Zc�[�P�H'�͚[y�ˊF�W�W90��ME�Ifö�Ӆɭ��-�T�c�O}�K�����okmaI5���
x̑N�<fkt �mVK�z�sh�A���RΑ��g7�Ta�-ai��zڿ���[cl�bM�N��:꺕�5qytM\K�}]!>��S�F�E��6�c�Km�mAt�z"��Z���%��l���\�(�NKnz�Ԇ�/�|_Ԙ�#p�V/]�<!���c��猝��p�b�r�4�S��*<E�vnֳp�XC����B�G� ���h�� Zrf
w�
&��~��|{��_�CNM�7��l�ϱc��m*�.��7�´]����c� ��dK���[��Ӫ%PĬ��A\�Θ�M��\���M�{FF�P�)�Jjv�����FV�$N�
&Щ��%vC
�njN{%69hU��t�
��
#�pilb��Uh\�4I~(�nn5�ED
A�4C_�i�~Y�0/E�1�J�헟��/��z��W:̂G��ј��w�N'ZG{m�p7�QV��K�o�Љ�^]�������j��\t�_͢���숟*���nV/�b��g�gȾ*��|7�G�A���Op]>��S!m��(��E������^T;�6���j���\�QI8�m��R)�X�j��R�[e~M%y����T��%��
\�זe�kޓY�TD����� \[��q^'�_`t��O�Ek��Z
^�k�4{`Q�!�$X>U��]����p�(���w��ؠ�<aAӒH�݄�%{�Š�
�-p�.��IP�7Iv

------=_NextPart_000_0004_429EC0AF.F1D4AFE1
Content-Type: application/octet-stream;
	name="document.zip"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
	filename="document.zip"

------=_NextPart_000_0004_429EC0AF.F1D4AFE1--